Skip to main content
Resource Center/Hardware/Host Operations

GetHostMultipathTopology

GetHostMultipathTopology

GET/zstack/v1/storage-devices/multipath/topology

Operation ID

GetHostMultipathTopology

Since

5.3.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • hostUuid
    StringRequired

    The host UUIDs.

  • diskUuids
    ListRequired

    The disk UUIDs.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • results
    ListRequired

    For more information, see results

    • diskUuid
      StringRequired

      The disk UUIDs.

    • devices
      ListRequired

      For more information, see devices

      • disk
        StringRequired

        The disk name.

      • state
        StringRequired

        The disk health status.

      • status
        StringRequired

        The disk enabled status.

      • target
        StringRequired

        The disk location.

      • targetType
        StringRequired

        The disk target type.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.